--- /dev/null
+#! /bin/sh -e
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch) patch -f --no-backup-if-mismatch -p1 < $0;;
+ -unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+@DPATCH@
+
+# Patch thanks to Nedko Arnaudov <nedko@users.sourceforge.net>
+
+diff -ru ion-3rc-20070608/ioncore/property.c ion-3rc-20070608.fixed/ioncore/property.c
+--- ion-3rc-20070608/ioncore/property.c 2007-06-08 19:56:51.000000000 +0300
++++ ion-3rc-20070608.fixed/ioncore/property.c 2007-06-18 16:32:11.000000000 +0300
+@@ -213,7 +213,7 @@
+ Status st;
+
+ if(!ioncore_g.use_mb){
+- st=XStringListToTextProperty((char **)&ptr, n, &prop);
++ st=XStringListToTextProperty((char **)ptr, n, &prop);
+ }else{
+ st=XmbTextListToTextProperty(ioncore_g.dpy, (char **)ptr, n,
+ XTextStyle, &prop);